unsafe_transferObject
Create an unsigned transaction to transfer an object from one address to another. The object's type must allow public transfers
Last updated
Was this helpful?
Create an unsigned transaction to transfer an object from one address to another. The object's type must allow public transfers
signer< SuiAddress > - The transaction signer's Sui address
object_id< ObjectID > - The ID of the object to be transferred
gas< ObjectID > - Gas object to be used in this transaction, node will pick one from the signer's possession if not provided
gas_budget< BigInt_for_uint64 > - The gas budget, the transaction will fail if the gas cost exceed the budget
recipient< SuiAddress > - The recipient's Sui address
TransactionBlockBytes< TransactionBlockBytes >
// Request
curl https://sui.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json"
--data
'<as described above>'
// Result
Last updated
Was this helpful?
Was this helpful?